import { Vector3 } from "../Vector3";
import { spawnParticleAtPlayer } from "../SpawnParticle";

//Function run when using the spell
export function musicSpell(player) {
  player.sendMessage(`<${player.nameTag}> Music spell!`);
  //Particle
  let particleLoc = new Vector3(player.location.x, player.location.y, player.location.z);
  spawnParticleAtPlayer(player, "blockception_magic:music_cloud", particleLoc);
  spawnParticleAtPlayer(player, "blockception_magic:music_fog", particleLoc);
  spawnParticleAtPlayer(player, "blockception_magic:music_ring", particleLoc);
  spawnParticleAtPlayer(player, "blockception_magic:music_runes", particleLoc);
  spawnParticleAtPlayer(player, "blockception_magic:music_spell", particleLoc);
}